Inhoud
Index 🔎︎

# Functie Loc

Geeft de huidige positie in een open bestand terug.

## Syntaxis:

    Loc(FileNumber)

## Teruggegeven waarde:

Long

## Parameters:

BestandsNummer: Een numerieke expressie die het bestandsnummer bevat dat bepaald is met de instructie Open voor het betreffende bestand.

Als de functie Loc wordt gebruikt voor een geopend bestand met willekeurige toegang, geeft het het nummer van het laatst gelezen of geschreven record terug.

Voor een sequentieel bestand geeft de Loc functie de positie in een bestand terug, gedeeld door 128. Voor binaire bestanden wordt de positie van de laatst gelezen of geschreven byte teruggegeven.

### Foutcodes:

5 Ongeldige aanroep van procedure

52 Ongeldige bestandsnaam/ongeldig bestandsnummer